> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete and push

> merge shards&push to mobile phone



## OpenAPI

````yaml post /open/api/phone/completeAndPush
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/phone/completeAndPush:
    post:
      tags: []
      summary: Complete and push
      description: merge shards&push to mobile phone
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiUploadMinIOReqVO'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RApiUploadFileResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    ApiUploadMinIOReqVO:
      type: object
      properties:
        pushDestDir:
          type: string
          description: >-
            Target directory for pushing files (default: /sdcard/Download for
            non-images, /sdcard/DCIM for images)
        phoneId:
          type: integer
          description: Phone ID,obtain through `Get phone list` api
          format: int64
        uploadId:
          type: string
          description: >-
            Upload Id for fragmented upload,The Upload Id obtained through the
            `Initialize upload task`
        fileName:
          type: string
          description: File name,File name,The file name of the uploaded file
        fileSize:
          type: integer
          description: File size,The total file size is supported
          format: int64
        liveImageUrl:
          type: string
          description: The path of the live file image is used for display
        uploadType:
          type: integer
          description: >-
            File upload type: 1-Regular file, 2-Live stream file(default:
            1-Regular file )
        mergeList:
          type: array
          items:
            $ref: '#/components/schemas/UploadMergeReqVo'
            description: ObsFilePartVO
          description: List of file chunks to merge
      required:
        - phoneId
    RApiUploadFileResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          $ref: '#/components/schemas/ApiUploadFileResVO'
          description: Request return data
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status
    UploadMergeReqVo:
      type: object
      properties:
        etag:
          type: string
          description: ETag identifier for the uploaded part
        partNumber:
          type: integer
          description: Part number of the upload (sequence number)
          default: 1
      required:
        - etag
        - partNumber
    ApiUploadFileResVO:
      type: object
      properties:
        phoneId:
          type: integer
          description: Phone ID
          format: int64
        envFileId:
          type: integer
          description: File push record ID
          format: int64
        taskId:
          type: integer
          description: Task ID
          format: int64
      required:
        - phoneId
        - envFileId
        - taskId

````